<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.6
Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

session_start(); 
?>
<?php if ((@$HTTP_SESSION_VARS["etat_log"] <> "connecte") or ((@$HTTP_SESSION_VARS["niv_log"] <> 9) AND (@$HTTP_SESSION_VARS["niv_log"] <> 5))) header("Location: ../index.php") ?>
<?php include ("../inc/config.inc.php") ?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_date.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php require ("../inc/lst.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Impression Liste Contrats Clients</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<!-- Affichage nouvelle fenêtre pour impression -->
<script type="text/javascript">
	function lanceimp(page)
	{
	  window.open(page,'impression','width='+screen.width+' height='+screen.height);
	}
</script>

</head>

<body>

<?PHP
	entimplst("LISTE DES CONTRATS CLIENTS");

	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);

	$rech = cree_strrechlstcocl();
	$rech .= crestr_triord($cocl_titre_col,"cocl_code",FALSE,$limit);
		 
	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête
		
	// *** Affichage de la table
     echo "<table class=\"MItable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     

	// Création entête
	titimplst($cocl_titre_col);	
	
	while ($row = mysql_fetch_assoc($rs)) 
	{         
	 // Affichage résumé Contrat Client

		 echo "<tr>";
         echo "<td>".$row["cocl_code"]."</td>\n";

         echo "<td>".$row["cocl_codecli"];

		 // Affichage détail client

			 $detailcli = "->";
			 if ($row["cli_ste"] <> "")
				$detailcli .= $row["cli_ste"].", ";
			 $detailcli .= $row["cli_civilite"]." ".$row["cli_nom"];
			 echo "<br>";
			 echo "<span class=\"annot_std_it\">";
			 echo $detailcli;
			 echo "</span>";
	
		 // Fin affichage détail client

		 echo "</td>\n";

         echo "<td>".formatedate($row["cocl_datecrea"])."</td>\n";
         echo "<td>".formatedate($row["cocl_dated"])."</td>\n";
         echo "<td>";
		 if (formatedate($row["cocl_datef"]) == "")
		 	echo "&nbsp;";
		 else
			echo formatedate($row["cocl_datef"]);
		 echo "</td>\n";
         echo "<td>";
		 if (formatedate($row["cocl_datefin"]) == "")
		 	echo "&nbsp;";
		 else
			echo formatedate($row["cocl_datefin"]);
		 echo "</td>\n";

         echo "<td>";

		 // Affichage détail renouvelé

			 echo "<div align=\"center\">";
			 echo $niv_renouv[$row["cocl_renouv"]];
			 echo "</div>";
	
		 // Fin affichage détail renouvelé

		 echo "</td>\n";

		 echo "</tr>\n";
	 // Fin affichage résumé Contrat Client
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	mysql_close($conn);  
?>
	<script type="text/javascript">
	warnimplst();
	</script>
</body>
</html>